﻿using System;
using System.ServiceModel;
using System.ServiceModel.Web;

namespace ConsoleApplication2
{
    // http://blog.sublogic.com/2010/07/15/making-a-wcf-rest-stand-alone-service-exe-from-scratch-part-1-of-4-creating-the-minimal-bare-service/
    [ServiceContract]
    public class MyService
    {
        [WebGet(UriTemplate = "say/{something}")]
        public string AnswerBack(string something)
        {
            return "You said: " + something;
        }
    }

    class Program
    {
        static void Main(string[] args)
        {
            using (var serviceHost = new ServiceHost(typeof(MyService)))
            {
                serviceHost.Open();
                Console.WriteLine("Hit Enter when done");
                Console.ReadLine();
            }            
        }
    }
}
